AC_DEFUN([AC_CEDAR_CHECKCXXFLAG], [
  AC_LANG_PUSH(C++)
  AC_MSG_CHECKING([if the $CXX compiler accepts the $1 flag])
  AC_LANG_CONFTEST([AC_LANG_PROGRAM([],[return 0;])])
  flag_ok=no
  $CXX $1 conftest.cpp >&5 2>/dev/null && flag_ok=yes
  AC_MSG_RESULT([$flag_ok])
  if test x$flag_ok == xyes; then 
    true
    $2
  else
    true
    $3
  fi
  AC_LANG_POP(C++)
])

AC_DEFUN([AC_CEDAR_CHECKFCFLAG], [
  AC_LANG_PUSH(Fortran)
  AC_MSG_CHECKING([if the $FC compiler accepts the $1 flag])
  AC_LANG_CONFTEST([AC_LANG_PROGRAM([],[return])])
  flag_ok=no
  $FC $1 conftest.f >&5 2>/dev/null && flag_ok=yes
  AC_MSG_RESULT([$flag_ok])
  if test x$flag_ok == xyes; then 
    true
    $2
  else
    true
    $3
  fi
  AC_LANG_POP(Fortran)
])
